import request from '@/utils/request'

//机具类型管理列表信息
export function getListNewBuyBind(query) {
  return request({
      url: '/material/purchase/bind/list',
      method: 'get',
      params: query,
  })
}

//任务 详情
export function getListDetail(query) {
  return request({
      url: '/material/purchase/bind/details',
      method: 'get',
      params: query,
  })
}

//任务 详情
export function bindAllData(data) {
  return request({
      url: '/material/purchase/bind/bind',
      method: 'post',
      data: data,
  })
}

//二级页面 详情
export function getListDetailById(query) {
  return request({
      url: '/material/purchase/bind/getById',
      method: 'get',
      params: query,
  })
}

// 导出
export function exportNewBuy(data) {
  return request({
      url: '/material/purchase/bind/downloadQrCode',
      method: 'post',
      responseType: 'blob',
      data: data
  })
}



//人员 详情
export function getNoticePeople(query) {
  return request({
      url: '/material/purchase_notice_person/list',
      method: 'get',
      params: query,
  })
}

// 人员--删除
export function delPeople(ids) {
  return request({
      url: '/material/purchase_notice_person/' + ids,
      method: 'delete',
  })
}

// 人员管理--新增
export function addNoticeUser(data) {
  return request({
      url: '/material/purchase_notice_person/batchAddNoticePerson',
      method: 'post',
      data: data,
  })
}

// 仓库管理--修改
export function bmNoticeInfo(data) {
  return request({
      url: '/material/purchase_notice_person/batchSendSms',
      method: 'put',
      data: data,
  })
}


//机具类型管理列表信息
export function getUserAll() {
  return request({
      url: '/system/user/list',
      method: 'get',
  })
}







